#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include "gequel.h"

GtkLabel *getOptionMenuLabel(GtkMenuItem *item, GtkOptionMenu *list)
{
   GtkBin *bin = GTK_BIN(item);
   return GTK_LABEL(bin->child);
}

/* Some NON-GLADE generated callbacks : */
void on_database_activate(GtkMenuItem *item, gpointer  user_data)
{
   char *text;
   Params *p = getParams();
   GtkLabel *label = getOptionMenuLabel(item, p->dbaselist);
   
   ldebug(2,"on_database_activate called\n");

   gtk_label_get(label,&text); /* obtain label text of the selected item */
   setNewDatabase(text);
}

void on_table_activate(GtkMenuItem *item, gpointer  user_data)
{
   char *text;
   Params *p = getParams();
   GtkLabel *label = getOptionMenuLabel(item, p->tablelist);

   ldebug(2,"on_table_activate called\n");
   
   gtk_label_get(label,&text); /* obtain label text of the selected item */
   setNewTable(text);
}

